libnvme(2)

NAME
struct nvme_mi_event - AE event information structure

SYNOPSIS
struct nvme_mi_event {
uint8_t aeoi;
uint8_t aessi;
uint32_t aeocidi;
void *spec_info;
size_t spec_info_len;
void *vend_spec_info;
size_t vend_spec_info_len;
};

Members

aeoi
    Event identifier

aessi
    Event occurrence scope info

aeocidi
    Event occurrence scope ID info

spec_info
    Specific info buffer

spec_info_len
    Length of specific info buffer

vend_spec_info
    Vendor specific info buffer

vend_spec_info_len
    Length of vendor specific info buffer

Description
Application callbacks for nvme_mi_aem_process will be able to call nvme_mi_aem_get_next_event which will return a pointer to such an identifier for the next event the application should parse